Bug 79298 - FORMATTING: Copy/paste: importing of strikethrough attribute doesn't work
Summary: FORMATTING: Copy/paste: importing of strikethrough attribute doesn't work
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Paste Calc-Styles
  Show dependency treegraph
 
Reported: 2014-05-27 10:27 UTC by mario.schroeder
Modified: 2019-07-07 03:38 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
HTML sample file (490 bytes, text/html)
2014-05-27 10:33 UTC, mario.schroeder
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mario.schroeder 2014-05-27 10:27:16 UTC
Pasting HTML content into Calc doesn't apply the strikethrough attribute.
Neither the CSS style 'text-decoration', nor the <strike>, <s> or <del> show an effect.

Steps to reproduce:
1. Open the sample HTML code in a HTML editor (like BlueGriffon)
2. Create a new spreadsheet
3. Copy/paste the HTML to Calc

Sample HTML:
<!DOCTYPE html>
<html>
  <head><meta charset="utf-8"></head>
  <body>
    <table>
      <tbody>
        <tr>
          <td style="text-decoration:line-through;"><s>foo</s></td>
          <td style="text-decoration:line-through;"><strike>bar</strike></td>
        </tr>
        <tr>
          <td style="text-decoration:line-through;"><del>baz</del></td>
          <td style="text-decoration:line-through;"><s>qux</s></td>
        </tr>
      </tbody>
    </table>    
  </body>
</html>


Current behavior:
The cell content is pasted but strikethrough is ignored.

Expected behavior:
Strikethrough should be supported like e.g. bold, underline, ...

Please also refer to AOO issue #124991

Operating System: All
Version: 4.2.4.2 release
Comment 1 mario.schroeder 2014-05-27 10:33:59 UTC
Created attachment 99942 [details]
HTML sample file
Comment 2 sophie 2014-06-05 13:34:49 UTC
Hi, confirmed using 4.2.4.2 Ubuntu 14.04. Step to reproduce:
- copy the text in the html file
- ctrl+maj+v in a Calc sheet, choose HTML
==> text is pasted without strikethrough.
Set as New - Sophie
Comment 3 QA Administrators 2015-06-08 14:41:34 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-06-21 17:13:56 UTC
Still repro.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 3ecef8cedb215e49237a11607197edc91639bfcd
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-06-19_23:16:58
Locale: fi-FI (fi_FI)
Comment 5 QA Administrators 2016-09-20 10:09:54 UTC Comment hidden (obsolete)
Comment 6 mario.schroeder 2017-03-08 15:30:01 UTC
Still occurs in LO Version: 5.2.5.1 on Mac OS X 10.11.6.
Comment 7 QA Administrators 2018-07-06 02:45:58 UTC Comment hidden (obsolete)
Comment 8 mario.schroeder 2018-07-06 09:19:34 UTC
The same procedure as last year, Miss Sophie?
The same procedure as every year, James!

Still occurs with LO
Version: 5.4.6.2
Build ID: 1:5.4.6-0ubuntu0.17.10.1
CPU threads: 8; OS: Linux 4.13; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: CL
Comment 9 Buovjaga 2018-07-06 17:04:52 UTC
(In reply to mario.schroeder from comment #8)
> The same procedure as last year, Miss Sophie?
> The same procedure as every year, James!

https://www.youtube.com/watch?v=b1v4BYV-YvA

Still repro.

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: ea39c41fdf63191579d25f327db81db14862251c
CPU threads: 8; OS: Linux 4.17; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Built on July 4th 2018
Comment 10 QA Administrators 2019-07-07 03:38:52 UTC
Dear mario.schroeder,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug